# __psplibc_FILE Struct Reference

## Data Fields

int | type
int | fd
int | cnt
int | flag
int | has_putback
u8 | putback

## Field Documentation

int __psplibc_FILE::cnt

int __psplibc_FILE::fd

int __psplibc_FILE::flag

int __psplibc_FILE::has_putback

u8 __psplibc_FILE::putback

int __psplibc_FILE::type

The documentation for this struct was generated from the following file:

- sdk/libc/stdio.c